package com.engine.organization.enums;

/**
 * @Author weaver_cl
 * @description:
 * @Date 2022/4/28
 * @Version V1.0
 **/
public enum OperateTypeEnum {

    /**
     * 操作类型
     */
    ADD("1", "新增", 547117),
    UPDATE("2", "更新", 547615),
    DELETE("4", "删除", 547135),
    MOVE("5", "转移", 547594),
    MERGE("6", "合并", 547194),
    COPY("7", "复制", 547196),
    CANCELED("8", "封存", 547494),
    RECOVER("9", "恢复", 547495);

    private String value;

    private String label;

    private int labelId;

    OperateTypeEnum(String value, String label, int labelId) {
        this.value = value;
        this.label = label;
        this.labelId = labelId;
    }

    public static OperateTypeEnum getByValue(String name) {
        for (OperateTypeEnum operateTypeEnum : values()) {
            if (operateTypeEnum.getValue().equals(name)) {
                return operateTypeEnum;
            }
        }
        return null;
    }

    public String getValue() {
        return value;
    }

    public String getLabel() {
        return label;
    }

    public int getLabelId() {
        return labelId;
    }
}
